Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
ezpbKernelWeb Class Reference
Inheritance diagram for ezpbKernelWeb:

## Public Member Functions
| __construct (array $settings=array())
| run ()
| runCallback (\Closure $callback, $postReinitialize=true)
| reInitialize ()
| hasServiceContainer ()
| getServiceContainer ()
| setUsePagelayout ( $usePagelayout)

## Static Public Member Functions
static | setUseExceptions ( $useExceptions)

## Protected Member Functions
| dispatchLoop ()
| getPolicyCheckViewMap (array $policyCheckOmitList)
| redirect ()
| sessionInit ()
| requestInit ()
| shutdown ( $reInitialize=true)

## Protected Attributes
| $isInitialized = false
| $settings = array()

## Private Member Functions
| setupFatalErrorHandler ()

## Private Attributes
| $mobileDeviceDetect
| $policyCheckViewMap
| $module
| $warningList = array()
| $siteBasics
| $actualRequestedURI
| $oldURI
| $completeRequestedURI
| $access
| $uri
| $check
| $site
| $languageCode
| $httpCharset

## Detailed Description

File containing the ezpbKernelWeb class.

Copyright
  Copyright (C) 7x and eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag// Provides a kernel handler in web context

Allows kernel to be executed as Controller via run()

Definition at line 16 of file ezpbkernelweb.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpbKernelWeb::__construct | ( | array | $settings = `array()` | ) |

Constructs an ezpKernel instance

Definition at line 112 of file ezpbkernelweb.php.

References $file, $ini, $section, $settings, eZExtension\activateExtensions(), eZSys\cacheDirectory(), eZSiteAccess\change(), eZUpdateDebugSettings(), ezpMobileDeviceDetectFilter\getFilter(), ezpEvent\getInstance(), getServiceContainer(), eZDebug\HANDLE_FROM_PHP, hasServiceContainer(), eZSys\hostname(), eZSys\indexFile(), eZSys\init(), eZURI\instance(), eZSiteAccess\match(), eZSys\requestURI(), eZSys\serverPort(), eZSys\serverVariable(), eZDebug\setHandleType(), setupFatalErrorHandler(), setUseExceptions(), eZTextCodec\updateSettings(), and eZDebugSetting\writeDebug().

## Member Function Documentation

## ◆ dispatchLoop()

ezpbKernelWeb::dispatchLoop | ( |  | ) |
| protected

Runs the dispatch loop

Definition at line 1090 of file ezpbkernelweb.php.

References $currentUser, $ini, $module, $name, $policyCheckViewMap, $uri, eZDebug\addTimingPoint(), eZUser\currentUser(), eZModule\exists(), eZSys\ezcrc32(), fetchModule(), getPolicyCheckViewMap(), eZURI\instance(), eZDebugSetting\writeDebug(), and eZDebug\writeError().

## ◆ getPolicyCheckViewMap()

ezpbKernelWeb::getPolicyCheckViewMap | ( | array | $policyCheckOmitList | ) |
| protected

Returns the map for policy check view

Parameters

  array | $policyCheckOmitList |

Returns
  array

Definition at line 1375 of file ezpbkernelweb.php.

References $items, $module, and $policyCheckViewMap.

Referenced by dispatchLoop().

## ◆ getServiceContainer()

ezpbKernelWeb::getServiceContainer | ( |  | ) |

Returns the Symfony service container if it has been injected, otherwise returns null.

Returns
  \Symfony\Component\DependencyInjection\ContainerInterface|null

Implements ezpKernelHandler.

Definition at line 1777 of file ezpbkernelweb.php.

Referenced by __construct().

## ◆ hasServiceContainer()

ezpbKernelWeb::hasServiceContainer | ( |  | ) |

Checks whether the kernel handler has the Symfony service container container or not.

Returns
  bool

Implements ezpKernelHandler.

Definition at line 1766 of file ezpbkernelweb.php.

Referenced by __construct().

## ◆ redirect()

ezpbKernelWeb::redirect | ( |  | ) |
| protected

Performs a redirection

Definition at line 1399 of file ezpbkernelweb.php.

References $ini, $tpl, $uri, eZDebug\addTimingPoint(), eZExecution\cleanExit(), eZURI\encodeURL(), eZAppendWarningItem(), eZDisplayResult(), eZSys\indexDir(), eZURI\instance(), eZSys\queryString(), and eZSys\requestURI().

## ◆ reInitialize()

ezpbKernelWeb::reInitialize | ( |  | ) |

Reinitializes the kernel environment.

Implements ezpKernelHandler.

Definition at line 1755 of file ezpbkernelweb.php.

## ◆ requestInit()

ezpbKernelWeb::requestInit | ( |  | ) |
| protected

Check for activating Debug by user ID (Final checking. The first was in eZDebug::updateSettings()) @uses eZUser::instance() So needs to be executed after eZSession::start()|lazyStart()

Definition at line 1564 of file ezpbkernelweb.php.

References $db, $ini, $time, $uri, eZSession\addCallback(), eZDebug\addTimingPoint(), eZSiteAccess\change(), eZDebug\checkDebugByUser(), eZSiteAccess\current(), eZTranslatorManager\enableDynamicTranslations(), ezpEvent\getInstance(), eZTextCodec\httpCharset(), eZURI\instance(), eZSys\requestURI(), sessionInit(), eZExecution\setCleanExit(), eZDebug\setScriptStart(), and eZSiteAccess\TYPE_URI.

Referenced by runCallback().

## ◆ run()

ezpbKernelWeb::run | ( |  | ) |

Execution point for controller actions

Ouput an is_logged_in cookie when users are logged in for use by http cache solutions.

Deprecated:
  As of 4.5, since 4.4 added lazy session support (init on use)

Implements ezpKernelHandler.

Definition at line 312 of file ezpbkernelweb.php.

References $content, $db, $fp, $GlobalPageView, $GlobalSectionID, $GlobalSiteDesign, $GlobalSiteIni, $i, $includePath, $index, $ini, $Language, $Locale, $mainGroup, $page, $sectionObject, $separator, $session, $siteDir, $SiteStyle, $StoreStats, $Title, $url_array, $url_array_count, $user, $wwwDir, eZDebug\addTimingPoint(), eZUser\autoCookieLogin(), eZUser\currentUser(), eZPublishSDK\EDITION, eZDisplayResult(), file_exists(), eZDB\globalDatabase(), eZSection\globalSectionObject(), eZSession\globalSession(), eZHTTPHeader\headerOverrideArray(), shutdown(), and eZURLTranslator\translate().

## ◆ runCallback()

ezpbKernelWeb::runCallback | ( | \Closure | $callback,
|  |  | $postReinitialize = `true`
| ) |  |

Run a callback function in legacy environment

Implements ezpKernelHandler.

Definition at line 1711 of file ezpbkernelweb.php.

References requestInit(), and shutdown().

## ◆ sessionInit()

ezpbKernelWeb::sessionInit | ( |  | ) |
| protected

Initializes the session. If running, through Symfony the session parameters from Symfony override the session parameter from Exponential.

Definition at line 1533 of file ezpbkernelweb.php.

References $ini, eZSession\getHandlerInstance(), eZSession\init(), eZSession\lazyStart(), and eZSession\start().

Referenced by requestInit().

## ◆ setupFatalErrorHandler()

ezpbKernelWeb::setupFatalErrorHandler | ( |  | ) |
| private

Definition at line 277 of file ezpbkernelweb.php.

References eZExecution\addFatalErrorHandler(), eZDisplayResult(), eZDebug\isDebugEnabled(), and eZExecution\setCleanExit().

Referenced by __construct().

## ◆ setUseExceptions()

static ezpbKernelWeb::setUseExceptions | ( |  | $useExceptions | ) |
| static

Sets whether to use exceptions in legacy kernel.

Parameters

  bool | $useExceptions |

Implements ezpKernelHandler.

Definition at line 1747 of file ezpbkernelweb.php.

References eZModule\$useExceptions.

Referenced by __construct().

## ◆ setUsePagelayout()

ezpbKernelWeb::setUsePagelayout | ( |  | $usePagelayout | ) |

Allows user to avoid executing the pagelayout template when running the kernel

Parameters

  bool | $usePagelayout |

Implements ezpWebBasedKernelHandler.

Definition at line 1787 of file ezpbkernelweb.php.

## ◆ shutdown()

ezpbKernelWeb::shutdown | ( |  | $reInitialize = `true` | ) |
| protected

Runs the shutdown process

Definition at line 1733 of file ezpbkernelweb.php.

References eZExecution\cleanup(), and eZExecution\setCleanExit().

Referenced by run(), and runCallback().

## Member Data Documentation

## ◆ $access

ezpbKernelWeb::$access
| private

Definition at line 63 of file ezpbkernelweb.php.

## ◆ $actualRequestedURI

ezpbKernelWeb::$actualRequestedURI
| private

Definition at line 46 of file ezpbkernelweb.php.

## ◆ $check

ezpbKernelWeb::$check
| private

Definition at line 73 of file ezpbkernelweb.php.

## ◆ $completeRequestedURI

ezpbKernelWeb::$completeRequestedURI
| private

Definition at line 56 of file ezpbkernelweb.php.

## ◆ $httpCharset

ezpbKernelWeb::$httpCharset
| private

Definition at line 90 of file ezpbkernelweb.php.

## ◆ $isInitialized

ezpbKernelWeb::$isInitialized = false
| protected

Definition at line 97 of file ezpbkernelweb.php.

## ◆ $languageCode

ezpbKernelWeb::$languageCode
| private

Definition at line 84 of file ezpbkernelweb.php.

## ◆ $mobileDeviceDetect

ezpbKernelWeb::$mobileDeviceDetect
| private

Definition at line 21 of file ezpbkernelweb.php.

## ◆ $module

ezpbKernelWeb::$module
| private

Definition at line 31 of file ezpbkernelweb.php.

Referenced by dispatchLoop(), and getPolicyCheckViewMap().

## ◆ $oldURI

ezpbKernelWeb::$oldURI
| private

Definition at line 51 of file ezpbkernelweb.php.

## ◆ $policyCheckViewMap

ezpbKernelWeb::$policyCheckViewMap
| private

Definition at line 26 of file ezpbkernelweb.php.

Referenced by dispatchLoop(), and getPolicyCheckViewMap().

## ◆ $settings

ezpbKernelWeb::$settings = array()
| protected

Definition at line 107 of file ezpbkernelweb.php.

Referenced by __construct().

## ◆ $site

ezpbKernelWeb::$site
| private

Definition at line 78 of file ezpbkernelweb.php.

## ◆ $siteBasics

ezpbKernelWeb::$siteBasics
| private

Definition at line 41 of file ezpbkernelweb.php.

## ◆ $uri

ezpbKernelWeb::$uri
| private

Definition at line 68 of file ezpbkernelweb.php.

Referenced by dispatchLoop(), redirect(), and requestInit().

## ◆ $warningList

ezpbKernelWeb::$warningList = array()
| private

Definition at line 36 of file ezpbkernelweb.php.

The documentation for this class was generated from the following file:

- ezpbkernelweb.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.